## lvm2 2.03.27

=== base/Makefile ===
# Copyright (C) 2018 Red Hat, Inc. All rights reserved.
#
# This file is part of the device-mapper userspace tools.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions
# of the GNU Lesser General Public License v.2.1.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

# Uncomment this to build the simple radix tree.  You'll need to make clean too.
# Comment to build the advanced radix tree.
#base/data-struct/radix-tree.o: CFLAGS += -DSIMPLE_RADIX_TREE

# NOTE: this Makefile only works as 'include' for toplevel Makefile
#       which defined all top_* variables

BASE_SOURCE=\
	base/data-struct/hash.c \
	base/data-struct/list.c \
	base/data-struct/radix-tree.c

BASE_TARGET = base/libbase.a
BASE_DEPENDS = $(BASE_SOURCE:%.c=%.d)
BASE_OBJECTS = $(BASE_SOURCE:%.c=%.o)
CLEAN_TARGETS += $(BASE_DEPENDS) $(BASE_OBJECTS) \
	$(BASE_SOURCE:%.c=%.gcda) \
	$(BASE_SOURCE:%.c=%.gcno) \
	$(BASE_TARGET)

$(BASE_TARGET): $(BASE_OBJECTS)
	$(SHOW) "    [AR] $@"
	$(Q) $(RM) $@
	$(Q) $(AR) rsv $@ $(BASE_OBJECTS) > /dev/null

ifeq ("$(USE_TRACKING)","yes")
-include $(BASE_DEPENDS)
endif

=== debian/changelog ===
lvm2 (2.03.27-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2097540). Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Debian #586424)
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      - Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Don't build udeb targets.
  * Dropped changes fixed upstream:
    - Apply upstream patch (trimmed) to fix FTBFS with autoconf 2.72 (ensures
      @EGREP@ and @GREP@ get substituted with their path). (LP #2083302)
      + d/p/autoconf-2.72-grep-egrep.patch
    - Cherry-pick upstream change for libdm returning wrong error code when
      dm-verity key cannot be found (LP #2054620) (included in >= 2.03.24)
    - initramfs-tools hook: Combine calls to manual_add_modules (LP #2065180)
      + This is no longer needed since initramfs-tools 0.143. Plucky has
        initramfs-tools 0.145.
      + https://salsa.debian.org/kernel-team/initramfs-tools/-/merge_requests/114

 -- Olivier Gayot <olivier.gayot@canonical.com>  Thu, 06 Feb 2025 13:40:22 +0100

lvm2 (2.03.27-1) unstable; urgency=medium

  * New upstream release.

  [ Guillem Jover ]
  * Turn initramfs hooks into debhelper fragment files.
  * Remove imperative activation of update-initramfs trigger.
  * Perform full /usr-move on all absolute paths.

 -- Bastian Blank <waldi@debian.org>  Mon, 04 Nov 2024 10:06:21 +0100

lvm2 (2.03.22-1ubuntu2) oracular; urgency=medium

  * Apply upstream patch (trimmed) to fix FTBFS with autoconf 2.72 (ensures
    @EGREP@ and @GREP@ get substituted with their path). (LP: #2083302)
    - d/p/autoconf-2.72-grep-egrep.patch

 -- Olivier Gayot <olivier.gayot@canonical.com>  Mon, 30 Sep 2024 22:41:42 +0200

lvm2 (2.03.22-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Lower libdevmapper1.02.1's Depends: dmsetup to a Recommends:. This
      breaks the circular dependency that causes upgrade failures. As dmsetup
      is "Priority: required", this has no other practical consequences.
      (Debian #586424)
    - Add debian/initramfs-tools/lvm2/scripts/init-bottom/lvm2: We cannot
      properly synthesize LVM LV change events with udevadm trigger, so if we
      use LVM, we need to let it finish; otherwise we get missing LV symlinks.
    - Add enable-issue-discards.patch: Enable "issue_discards" option by
      default to trim SSDs when changing PVs. This option has no effect if the
      kernel or the drive does not support trimming, so it's safe to enable by
      default. (Debian #717313)
    - debian/rules:
      - Copy .po file to .pot file for Rosetta (Ubuntu specific).
    - debian/initramfs-tools/lvm2/hooks/lvm2: depend on udev since we ship
      udev rules.
    - Do not start lvm2-monitor in containers (LP #1576341)
    - d/control: add thin-provisioning-tools build-dep as configure wants it
      around for some checks at build time.
    - Don't build udeb targets.
    - Cherry-pick upstream change for libdm returning wrong error code when
      dm-verity key cannot be found (LP: #2054620) (included in >= 2.03.24)
    - initramfs-tools hook: Combine calls to manual_add_modules (LP: #2065180)
  * Dropped changes fixed upstream:
    - Fix patch of systemd-run in 69-lvm-metad.rules

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Jul 2024 10:27:13 +0200

lvm2 (2.03.16-3ubuntu4) oracular; urgency=medium

  * initramfs-tools hook: Combine calls to manual_add_modules (LP: #2065180)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 24 May 2024 09:42:08 +0200

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_CFLAGS_MAINT_STRIP = -O2

include /usr/share/dpkg/default.mk

VERSION_DEBIAN := $(shell echo "$(DEB_VERSION)" | sed -e 's,^[^-]*-,,')

DEVMAPPER_ABINAME = 1.02.1
DEVMAPPER_VERSION_PLAIN = $(shell awk '{print $$1}' VERSION_DM)
DEVMAPPER_VERSION = 2:$(DEVMAPPER_VERSION_PLAIN)
DEVMAPPER_VERSION_DEBIAN = $(DEVMAPPER_VERSION)-$(VERSION_DEBIAN)
DEVMAPPER_VERSION_FILE = $(DEVMAPPER_VERSION_PLAIN)-$(VERSION_DEBIAN)

GENCONTROL_ARGS = -Vdevmapper:Version=$(DEVMAPPER_VERSION_DEBIAN)

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS_OPT_DEB = -O2
CFLAGS_OPT_UDEB = -Os
endif

define CONFARGS.deb
	--prefix=/usr
	--exec-prefix=/usr
	--with-usrlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)
	--with-optimisation="$(CFLAGS_OPT_DEB)"
	--with-cache=internal
	--with-device-uid=0
	--with-device-gid=6
	--with-device-mode=0660
	--with-default-pid-dir=/run
	--with-default-run-dir=/run/lvm
	--with-default-locking-dir=/run/lock/lvm
	--with-thin=internal
	--with-thin-check=/usr/sbin/thin_check
	--with-thin-dump=/usr/sbin/thin_dump
	--with-thin-repair=/usr/sbin/thin_repair
	--enable-applib
	--enable-blkid_wiping
	--enable-cmdlib
	--enable-dmeventd
	--enable-editline
	--enable-lvmlockd-dlm
	--enable-lvmlockd-sanlock
	--enable-lvmpolld
	--enable-notify-dbus
	--enable-pkgconfig
	--enable-udev_rules
	--enable-udev_sync
	--enable-write_install
	--disable-readline
endef

define CONFARGS.deb_all
	--enable-dbus-service
	--disable-readline
	--disable-selinux
endef

define CONFARGS.udeb
	--with-optimisation="$(CFLAGS_OPT_UDEB)"
	--with-lvm1=none
	--with-pool=none
	--disable-app-machineid
	--disable-readline
	--disable-selinux
	--disable-systemd-journal
endef

BUILDS :=
ifneq ($(filter lvm2,$(shell dh_listpackages)),)
BUILDS += deb
endif
ifneq ($(filter lvm2-udeb,$(shell dh_listpackages)),)
BUILDS += udeb
endif
ifneq ($(filter lvm2-dbusd,$(shell dh_listpackages)),)
BUILDS += deb_all
endif

%:
	dh $@ --parallel

override_dh_auto_configure: $(patsubst %,dh_auto_configure.%,$(BUILDS))
override_dh_auto_build:     $(patsubst %,dh_auto_build.%,$(BUILDS))
override_dh_auto_install:   $(patsubst %,dh_auto_install.%,$(BUILDS))

dh_auto_configure.%:
	mkdir -p debian/build/build_$*
	cp -al $(filter-out debian, $(wildcard *)) debian/build/build_$*/
	dh_auto_configure --sourcedirectory=debian/build/build_$* -- $(strip $(CONFARGS.$*))
	cp po/lvm2.po po/lvm2.pot

dh_auto_build.%:
	dh_auto_build --sourcedirectory=debian/build/build_$* -- \
		LIB_VERSION_DM=$(DEVMAPPER_ABINAME) V=1

dh_auto_install.%:
	dh_auto_install --sourcedirectory=debian/build/build_$* \
		--destdir=debian/build/install_$* -- \
		install \
		install_systemd_generators \
		install_systemd_units \
		install_tmpfiles_configuration \
		LIB_VERSION_DM=$(DEVMAPPER_ABINAME)

override_dh_auto_clean:
	rm -rf debian/build
	rm -f po/lvm2.pot

override_dh_gencontrol:
	dh_gencontrol \
		-pdmsetup \
		-pdmsetup-udeb \
		-pdmeventd \
		-plibdevmapper-dev \
		-plibdevmapper$(DEVMAPPER_ABINAME) \
		-plibdevmapper$(DEVMAPPER_ABINAME)-udeb \
		-plibdevmapper-event$(DEVMAPPER_ABINAME) \
		-- -v$(DEVMAPPER_VERSION_DEBIAN) $(GENCONTROL_ARGS)
	dh_gencontrol --remaining-packages \
		-- $(GENCONTROL_ARGS)

override_dh_install:
ifneq ($(filter lvm2-udeb,$(shell dh_listpackages)),)
	dh_install --sourcedir=debian/build/install_udeb \
		-pdmsetup-udeb \
		-plibdevmapper$(DEVMAPPER_ABINAME)-udeb \
		-plvm2-udeb
endif
	dh_install --sourcedir=debian/build/install_deb_all \
		-plvm2-dbusd
	dh_install --sourcedir=debian/build/install_deb \
		--remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs -pdmeventd WHATS_NEW_DM
	dh_installchangelogs -plvm2 WHATS_NEW
	dh_installchangelogs --remaining-packages

override_dh_installinit:
	dh_installinit -plvm2 --no-start
	dh_installinit -plvm2 --restart-after-upgrade --name lvm2-lvmpolld

override_dh_makeshlibs:
	dh_makeshlibs -plibdevmapper$(DEVMAPPER_ABINAME) \
		--add-udeb 'libdevmapper$(DEVMAPPER_ABINAME)-udeb' \
		"-Vlibdevmapper$(DEVMAPPER_ABINAME) (>= $(DEVMAPPER_VERSION))" \
		-- "-v$(DEVMAPPER_VERSION_DEBIAN)" -c2
	dh_makeshlibs -plibdevmapper-event$(DEVMAPPER_ABINAME) \
		"-Vlibdevmapper-event$(DEVMAPPER_ABINAME) (>= $(DEVMAPPER_VERSION))" \
		-- "-v$(DEVMAPPER_VERSION_DEBIAN)" -c2
	dh_makeshlibs --remaining-packages -V \
		-- -c2

override_dh_installsystemd:
	dh_installsystemd -plvm2 --no-restart-after-upgrade --no-stop-on-upgrade \
		blk-availability.service \
		lvm2-monitor.service
	dh_installsystemd -plvm2 \
		lvm2-lvmpolld.socket
	dh_installsystemd --remaining-packages

.NOTPARALLEL:

## lvm2 2.03.31

=== device_mapper/Makefile ===
# Copyright (C) 2018 - 2022 Red Hat, Inc. All rights reserved.
#
# This file is part of the device-mapper userspace tools.
#
# This copyrighted material is made available to anyone wishing to use,
# modify, copy, or redistribute it subject to the terms and conditions
# of the GNU Lesser General Public License v.2.1.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

# NOTE: this Makefile only works as 'include' for toplevel Makefile
#       which defined all top_* variables

DEVICE_MAPPER_SOURCE=\
	device_mapper/datastruct/bitset.c \
	device_mapper/ioctl/libdm-iface.c \
	device_mapper/libdm-common.c \
	device_mapper/libdm-config.c \
	device_mapper/libdm-deptree.c \
	device_mapper/libdm-file.c \
	device_mapper/libdm-report.c \
	device_mapper/libdm-string.c \
	device_mapper/libdm-targets.c \
	device_mapper/libdm-timestamp.c \
	device_mapper/mm/pool.c \
	device_mapper/regex/matcher.c \
	device_mapper/regex/parse_rx.c \
	device_mapper/regex/ttree.c \
	device_mapper/vdo/status.c \
	device_mapper/vdo/vdo_reader.c \
	device_mapper/vdo/vdo_target.c

DEVICE_MAPPER_TARGET = device_mapper/libdevice-mapper.a
DEVICE_MAPPER_DEPENDS = $(DEVICE_MAPPER_SOURCE:%.c=%.d)
DEVICE_MAPPER_OBJECTS = $(DEVICE_MAPPER_SOURCE:%.c=%.o)
CLEAN_TARGETS += $(DEVICE_MAPPER_DEPENDS) $(DEVICE_MAPPER_OBJECTS) \
	$(DEVICE_MAPPER_SOURCE:%.c=%.gcda) \
	$(DEVICE_MAPPER_SOURCE:%.c=%.gcno) \
	$(DEVICE_MAPPER_TARGET)

#$(DEVICE_MAPPER_DEPENDS): INCLUDES+=$(VDO_INCLUDES)
#$(DEVICE_MAPPER_OBJECTS): INCLUDES+=$(VDO_INCLUDES)

$(DEVICE_MAPPER_TARGET): $(DEVICE_MAPPER_OBJECTS)
	$(SHOW) "    [AR] $@"
	$(Q) $(RM) $@
	$(Q) $(AR) rsv $@ $(DEVICE_MAPPER_OBJECTS) > /dev/null

ifeq ("$(USE_TRACKING)","yes")
-include $(DEVICE_MAPPER_DEPENDS)
endif

=== debian/changelog ===
lvm2 (2.03.31-2.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Tue, 06 May 2025 17:40:00 +0300

lvm2 (2.03.31-2) unstable; urgency=medium

  * Ask build system to install stuff writable. (closes: #1104357)

 -- Bastian Blank <waldi@debian.org>  Mon, 05 May 2025 20:14:18 +0200

lvm2 (2.03.31-1) unstable; urgency=medium

  * New upstream release.

  [ Luke W Faraone ]
  * Include lvresize_fs_helper (Closes: #1068733)

 -- Bastian Blank <waldi@debian.org>  Mon, 03 Mar 2025 22:04:46 +0100

=== debian/control ===
Source: lvm2
Section: admin
Priority: optional
Maintainer: Debian LVM Team <team+lvm@tracker.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 autoconf-archive,
 automake,
 libaio-dev,
 libblkid-dev,
 pkg-config,
Build-Depends-Arch:
 libcmap-dev,
 libcorosync-common-dev,
 libcpg-dev,
 libdlm-dev (>> 2),
 libdlmcontrol-dev,
 libedit-dev,
 libquorum-dev,
 libsanlock-dev,
 libselinux1-dev,
 libudev-dev,
Build-Depends-Indep:
 dh-sequence-python3,
 python3-dev,
 python3-dbus,
 python3-pyudev,
Standards-Version: 4.1.1
Rules-Requires-Root: no
Homepage: https://sourceware.org/lvm2/
Vcs-Git: https://salsa.debian.org/lvm-team/lvm2.git
Vcs-Browser: https://salsa.debian.org/lvm-team/lvm2

Package: lvm2
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dmsetup (>= ${devmapper:Version}~),
 dmeventd (>= ${devmapper:Version}~),
Recommends:
 thin-provisioning-tools
Multi-Arch: foreign
Description: Linux Logical Volume Manager
 This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
 supports enterprise level volume management of disk and disk subsystems
 by grouping arbitrary disks into volume groups. The total capacity of
 volume groups can be allocated to logical volumes, which are accessed as
 regular block devices.

Package: lvm2-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Linux Logical Volume Manager
 This is a udeb, or a microdeb, for the debian-installer.
 .
 This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
 supports enterprise level volume management of disk and disk subsystems
 by grouping arbitrary disks into volume groups. The total capacity of
 volume groups can be allocated to logical volumes, which are accessed as
 regular block devices.

Package: lvm2-dbusd
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${python3:Depends},
 ${misc:Depends},
 lvm2 (>= ${source:Version}~),
 dbus,
 python3-dbus,
 python3-gi,
 python3-pyudev,
Multi-Arch: foreign
Description: LVM2 D-Bus daemon
 This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
 supports enterprise level volume management of disk and disk subsystems
 by grouping arbitrary disks into volume groups. The total capacity of
 volume groups can be allocated to logical volumes, which are accessed as
 regular block devices.
 .
 This package includes the D-Bus daemon.

Package: lvm2-lockd
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 lvm2 (>= ${source:Version}~),
Multi-Arch: foreign
Description: LVM locking daemon
 This is LVM2, the rewrite of The Linux Logical Volume Manager.  LVM
 supports enterprise level volume management of disk and disk subsystems
 by grouping arbitrary disks into volume groups. The total capacity of
 volume groups can be allocated to logical volumes, which are accessed as
 regular block devices.
 .
 LVM commands use lvmlockd to coordinate access to shared storage.

Package: libdevmapper-dev
Section: libdevel
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 libdevmapper1.02.1 (= ${binary:Version}),
 libdevmapper-event1.02.1 (= ${binary:Version}),
 libudev-dev,
 libselinux1-dev,
Multi-Arch: same
Description: Linux Kernel Device Mapper header files
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains the (user-space) header files for accessing the
 device-mapper; it allow usage of the device-mapper through a clean,
 consistent interface (as opposed to through kernel ioctls).

Package: libdevmapper1.02.1
Section: libs
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dmsetup (>= ${devmapper:Version}~),
Multi-Arch: same
Description: Linux Kernel Device Mapper userspace library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains the (user-space) shared library for accessing the
 device-mapper; it allows usage of the device-mapper through a clean,
 consistent interface (as opposed to through kernel ioctls).

Package: libdevmapper1.02.1-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Linux Kernel Device Mapper userspace library
 This is a udeb, or a microdeb, for the debian-installer.
 .
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.

Package: dmsetup
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Multi-Arch: foreign
Description: Linux Kernel Device Mapper userspace library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains a utility for modifying device mappings.

Package: dmsetup-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Linux Kernel Device Mapper userspace library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains a utility for modifying device mappings.

Package: libdevmapper-event1.02.1
Section: libs
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Multi-Arch: same
Description: Linux Kernel Device Mapper event support library
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains the userspace library to help with event monitoring
 for devmapper devices, in conjunction with the dmevent daemon.

Package: dmeventd
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
# No Multi-Arch: foreign, plugins depend on the current architecture
Description: Linux Kernel Device Mapper event daemon
 The Linux Kernel Device Mapper is the LVM (Linux Logical Volume Management)
 Team's implementation of a minimalistic kernel-space driver that handles
 volume management, while keeping knowledge of the underlying device layout
 in user-space.  This makes it useful for not only LVM, but software raid,
 and other drivers that create "virtual" block devices.
 .
 This package contains a daemon to monitor events of devmapper devices.

Package: liblvm2cmd2.03
Section: libs
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dmeventd,
Multi-Arch: same
Description: LVM2 command library
 This package contains the lvm2cmd shared library.

Package: liblvm2-dev
Section: libdevel
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 liblvm2cmd2.03 (= ${binary:Version}),
 libdevmapper-dev,
Multi-Arch: same
Description: LVM2 libraries - development files
 This package contains files needed to develop applications that use the
 lvm2app library.

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,10 @@
 CFLAGS_OPT_UDEB = -Os
 endif
 
+define CONFARGS
+	--enable-write_install
+endef
+
 define CONFARGS.deb
 	--prefix=/usr
 	--exec-prefix=/usr
@@ -47,7 +51,7 @@
 	--enable-lvmlockd-dlm
 	--enable-lvmlockd-sanlock
 	--enable-lvmpolld
-	--enable-notify-dbus
+	--disable-notify-dbus
 	--enable-pkgconfig
 	--enable-udev_rules
 	--enable-udev_sync
@@ -59,6 +63,7 @@
 	--enable-dbus-service
 	--disable-readline
 	--disable-selinux
+        --disable-systemd-journal
 endef
 
 define CONFARGS.udeb
@@ -73,10 +78,7 @@
 
 BUILDS :=
 ifneq ($(filter lvm2,$(shell dh_listpackages)),)
-BUILDS += deb
-endif
-ifneq ($(filter lvm2-udeb,$(shell dh_listpackages)),)
-BUILDS += udeb
+BUILDS += deb udeb
 endif
 ifneq ($(filter lvm2-dbusd,$(shell dh_listpackages)),)
 BUILDS += deb_all
@@ -92,12 +94,13 @@
 dh_auto_configure.%:
 	mkdir -p debian/build/build_$*
 	cp -al $(filter-out debian, $(wildcard *)) debian/build/build_$*/
-	dh_auto_configure --sourcedirectory=debian/build/build_$* -- $(strip $(CONFARGS.$*))
-	cp po/lvm2.po po/lvm2.pot
+	dh_auto_configure --sourcedirectory=debian/build/build_$* -- \
+		$(strip $(CONFARGS)) $(strip $(CONFARGS.$*))
 
 dh_auto_build.%:
 	dh_auto_build --sourcedirectory=debian/build/build_$* -- \
-		LIB_VERSION_DM=$(DEVMAPPER_ABINAME) V=1
+		V=1 \
+		LIB_VERSION_DM=$(DEVMAPPER_ABINAME)
 
 dh_auto_install.%:
 	dh_auto_install --sourcedirectory=debian/build/build_$* \
@@ -106,11 +109,11 @@
 		install_systemd_generators \
 		install_systemd_units \
 		install_tmpfiles_configuration \
+		V=1 \
 		LIB_VERSION_DM=$(DEVMAPPER_ABINAME)
 
 override_dh_auto_clean:
 	rm -rf debian/build
-	rm -f po/lvm2.pot
 
 override_dh_gencontrol:
 	dh_gencontrol \
@@ -126,12 +129,10 @@
 		-- $(GENCONTROL_ARGS)
 
 override_dh_install:
-ifneq ($(filter lvm2-udeb,$(shell dh_listpackages)),)
 	dh_install --sourcedir=debian/build/install_udeb \
 		-pdmsetup-udeb \
 		-plibdevmapper$(DEVMAPPER_ABINAME)-udeb \
 		-plvm2-udeb
-endif
 	dh_install --sourcedir=debian/build/install_deb_all \
 		-plvm2-dbusd
 	dh_install --sourcedir=debian/build/install_deb \
@@ -157,12 +158,4 @@
 	dh_makeshlibs --remaining-packages -V \
 		-- -c2
 
-override_dh_installsystemd:
-	dh_installsystemd -plvm2 --no-restart-after-upgrade --no-stop-on-upgrade \
-		blk-availability.service \
-		lvm2-monitor.service
-	dh_installsystemd -plvm2 \
-		lvm2-lvmpolld.socket
-	dh_installsystemd --remaining-packages
-
 .NOTPARALLEL:

=== debian/watch ===
version=4
opts=pasv,pgpsigurlmangle=s/$/.asc/ https://sourceware.org/pub/lvm2/LVM2\.([\d\.]*)\.tgz
